update icu-data which is bundled in tzdata to 2020f

Bug #1910636 reported by Brian Murray on 2021-01-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Status tracked in Hirsute
Focal
Undecided
Brian Murray
Groovy
Undecided
Brian Murray
Hirsute
Undecided
Brian Murray

Bug Description

The 2020f upload of tzdata did not include an update of the ICU timezone data because it was not yet up to date. It has now been updated so we should update tzdata with that new information.

tzdata (2020f-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable (LP: 1909698). Remaining changes:
    - Ship ICU timezone data files which are utilized by php and keep them
      at 2020d as they have not yet been updated.

[Test Case]
1) sudo apt-get install python3-icu
2) python3 -c "from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.creat
eTimeZone('Europe/Volgograd')); print(str(tz.utcoffset(datetime(2020, 12, 28))))"

Before the SRU it will return 3:00:00, after the SRU it will return 4:00:00.

Changed in tzdata (Ubuntu Hirsute):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Groovy):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Focal):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Hirsute):
status: New → In Progress
Changed in tzdata (Ubuntu Groovy):
status: New → In Progress
Changed in tzdata (Ubuntu Focal):
status: New → In Progress
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-1ubuntu2

---------------
tzdata (2020f-1ubuntu2) hirsute; urgency=medium

  * Update ICU timezone data files which are utilized by php to version 2020f.
    (LP: #1910636)

 -- Brian Murray <email address hidden> Thu, 07 Jan 2021 18:30:48 -0800

Changed in tzdata (Ubuntu Hirsute):
status: In Progress → Fix Released

Hello Brian, or anyone else affected,

Accepted tzdata into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020f-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-groovy
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted tzdata into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020f-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal

All autopkgtests for the newly accepted tzdata (2020f-0ubuntu0.20.10.1) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

gnustep-base/1.27.0-3build3 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#tzdata

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Brian Murray (brian-murray) wrote :

The verification passed for groovy.

bdmurray@clean-groovy-amd64:~$ python3 -c "from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.creat
eTimeZone('Europe/Volgograd')); print(str(tz.utcoffset(datetime(2020, 12, 28))))"
4:00:00
bdmurray@clean-groovy-amd64:~$ sudo apt-get install tzdata
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  ippusbxd libllvm10 libtepl-4-0 linux-headers-5.4.0-42 linux-headers-5.4.0-42-generic linux-image-5.4.0-42-generic
  linux-modules-5.4.0-42-generic linux-modules-extra-5.4.0-42-generic
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  tzdata
1 upgraded, 0 newly installed, 0 to remove and 180 not upgraded.
Need to get 294 kB of archives.
After this operation, 6,144 B of additional disk space will be used.
Get:1 http://192.168.10.7/ubuntu groovy-proposed/main amd64 tzdata all 2020f-0ubuntu0.20.10.1 [294 kB]
Fetched 294 kB in 0s (5,658 kB/s)
Preconfiguring packages ...
(Reading database ... 228033 files and directories currently installed.)
Preparing to unpack .../tzdata_2020f-0ubuntu0.20.10.1_all.deb ...
Unpacking tzdata (2020f-0ubuntu0.20.10.1) over (2020d-1ubuntu1) ...
Setting up tzdata (2020f-0ubuntu0.20.10.1) ...

Current default time zone: 'America/Los_Angeles'
Local time is now: Mon Jan 11 19:10:44 PST 2021.
Universal Time is now: Tue Jan 12 03:10:44 UTC 2021.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

bdmurray@clean-groovy-amd64:~$ python3 -c "from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.creat
eTimeZone('Europe/Volgograd')); print(str(tz.utcoffset(datetime(2020, 12, 28))))"
3:00:00

Brian Murray (brian-murray) wrote :

The verification passed for focal.

bdmurray@clean-focal-amd64:~$ python3 -c "from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.create
TimeZone('Europe/Volgograd')); print(str(tz.utcoffset(datetime(2020, 12, 28))))"
4:00:00
bdmurray@clean-focal-amd64:~$ sudo apt-get install tzdata
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  tzdata
1 upgraded, 0 newly installed, 0 to remove and 91 not upgraded.
Need to get 296 kB of archives.
After this operation, 6,144 B of additional disk space will be used.
Get:1 http://192.168.10.7/ubuntu focal-proposed/main amd64 tzdata all 2020f-0ubuntu0.20.04.1 [296 kB]
Fetched 296 kB in 0s (6,181 kB/s)
Preconfiguring packages ...
(Reading database ... 223591 files and directories currently installed.)
Preparing to unpack .../tzdata_2020f-0ubuntu0.20.04.1_all.deb ...
Unpacking tzdata (2020f-0ubuntu0.20.04.1) over (2020d-0ubuntu0.20.04) ...
Setting up tzdata (2020f-0ubuntu0.20.04.1) ...

Current default time zone: 'America/Los_Angeles'
Local time is now: Mon Jan 11 19:15:47 PST 2021.
Universal Time is now: Tue Jan 12 03:15:47 UTC 2021.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

bdmurray@clean-focal-amd64:~$ python3 -c "from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.create
TimeZone('Europe/Volgograd')); print(str(tz.utcoffset(datetime(2020, 12, 28))))"
3:00:00

tags: added: verification-done verification-done-focal verification-done-groovy
removed: verification-needed verification-needed-focal verification-needed-groovy
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-0ubuntu0.20.10.1

---------------
tzdata (2020f-0ubuntu0.20.10.1) groovy; urgency=medium

  * Update ICU timezone data files which are utilized by php to version 2020f.
    (LP: #1910636)

 -- Brian Murray <email address hidden> Thu, 07 Jan 2021 19:54:53 -0800

Changed in tzdata (Ubuntu Groovy):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for tzdata has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-0ubuntu0.20.04.1

---------------
tzdata (2020f-0ubuntu0.20.04.1) focal; urgency=medium

  * Update ICU timezone data files which are utilized by php to version 2020f.
    (LP: #1910636)

 -- Brian Murray <email address hidden> Fri, 08 Jan 2021 08:19:33 -0800

Changed in tzdata (Ubuntu Focal):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers